<!DOCTYPE HTML>
<html>
    <head>
        <title>Activity: CSS Introduction</title>

        <!-- External Link CSS -->
        <link rel="stylesheet" href="./style.css">
    </head>
    <body>



        <!-- Different ways to include CSS -->

        <!-- Inline Styling -->
        <p style="color: red;">Apply inline styling here.</p>


        <!-- Internal Styling -->
        <style>
            #internal-styling {
                color: orange;
            }
        </style>
        <p id="internal-styling">Apply internal styling here.</p>

        <!-- External Styling -->
        <p id="external-styling">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="learning-list">The following are things you will learn in this bootcamp:</h2>

        <h3 id="learning-language-list">Languages to be Learned</h3>
        <ol>
            <li class="language-list">Hypertext Markup Language</li>
            <li class="language-list">Cascading Style Sheet</li>
            <li class="language-list">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li id="tools-list">Sublime Text</li>
            <li id="tools-list">Postman</li>
            <li id="tools-list">Heroku</li>
            <li id="tools-list">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section id="other-learning-list">
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>